#include <iostream>
#include <ScHex.h>
#include <ScReader.h>

int main()
{
  auto bytes = new BYTE[5];
  bytes[0] = 0x42;
  bytes[1] = 0x00;
  bytes[2] = 0xff;
  bytes[3] = 0xaa;
  bytes[4] = 0x24;
  std::cout << "hex: " << ScHex::byteArrayToString(ScByteArray(bytes, 5)) << std::endl;

  std::cout << ScReader::establishContext() << std::endl;
  auto readers = ScReader::getReaders();
  for (auto reader : readers)
  {
    std::cout << reader->getName() << " ";
    std::cout << reader->connect() << " ";
    std::cout << reader->disconnect();
    std::cout << std::endl;
  }
  std::cout << ScReader::freeContext() << std::endl;
  return 0;
}
